osg::State::SetCurrentVertexArrayStateProxy Struct Reference

`#include <State>`

## Public Member Functions

| SetCurrentVertexArrayStateProxy (osg::State &state, VertexArrayState *vas)
| ~SetCurrentVertexArrayStateProxy ()

## Public Attributes

osg::State & | _state

## Detailed Description

Proxy helper class for applyig a VertexArrayState in a local scope, with the preivous value being resotred automatically on leaving the scope that proxy was created.

## Constructor & Destructor Documentation

## SetCurrentVertexArrayStateProxy()

osg::State::SetCurrentVertexArrayStateProxy::SetCurrentVertexArrayStateProxy | ( | osg::State & | state,
|  | VertexArrayState * | vas )

inline

References _state.

## ~SetCurrentVertexArrayStateProxy()

osg::State::SetCurrentVertexArrayStateProxy::~SetCurrentVertexArrayStateProxy | ( |  | ) |

inline

References _state.

## Member Data Documentation

## _state

osg::State& osg::State::SetCurrentVertexArrayStateProxy::_state

Referenced by SetCurrentVertexArrayStateProxy(), and ~SetCurrentVertexArrayStateProxy().

The documentation for this struct was generated from the following file:

- State